.gallery-images {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 30px;
}

.gallery-item {
    position: relative;
    transition: transform 0.4s ease-in-out;
}

.gallery-item:after {
    content: '';
    display: block;
    padding-bottom: 100%;
}

.gallery-item a {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}

.gallery-item img {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.gallery-item:hover {
    transition-duration: 0.15s;
    transform: scale(1.1);
}

.gallery-item:nth-of-type(1){
    grid-area: 1 / 1 / 3 / 3;
}
.gallery-item:nth-of-type(6){
    grid-area: 2 / 3 / 4 / 5;
}
.gallery-item:nth-of-type(12){
    grid-area: 7 / 2 / 5 / 4;
}
.gallery-item:nth-of-type(20){
    grid-area: 8 / 1 / 9 / 3;
}

.gallery-embed a {
    text-decoration: none;
}

.gallery-embed a i {
    content: '';
    display: block;
    width: 55px;
    height: 55px;
    background-color: #fff;
    position: relative;
    z-index: 2;
    flex-grow: 0;
    border-radius: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 25px;
    color: var(--primary-color);
}

@media only screen and (max-width: 800px) {
    .gallery-images {
        grid-template-columns: 1fr 1fr 1fr;
        gap: 20px;
    }

    .gallery-item:nth-of-type(1n){
        grid-area: auto;
    }
    .gallery-item:nth-of-type(1){
        grid-area: 1 / 1 / 3 / 3;
    }
    .gallery-item:nth-of-type(6){
        grid-area: 3 / 2 / 5 / 5;
    }
    .gallery-item:nth-of-type(9){
        grid-area: 7 / 1 / 5 / 3;
    }
    .gallery-item:nth-of-type(10){
        grid-area: 7 / 1 / 5 / 3;
    }
    .gallery-item:nth-of-type(13){
        grid-area: 7 / 2 / 9 / 4;
    }

}

@media only screen and (max-width: 500px) {
    .gallery-images {
        grid-template-columns: 1fr;
        gap: 10px;
    }
    .gallery-item:nth-of-type(1n){
        grid-area: auto;
    }
}